//***************************************************************************
// DEX - The Company Data Examiner
//***************************************************************************
// Copyright (C) 1999	Bruce Israel <israel@his.com>
//
// This program is free software; you can redistribute it and/or modify it
// under the terms of the GNU General Public License as published by the
// Free Software Foundation.
//
// This software is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
// General Public License for more details.
//
//***************************************************************************


// Interface CompanyStorage - Contains info about a company
//
// This is implemented by the class CompanyInfo, and is here to make
// compilation ordering easier for classes that CompanyInfo use and that
// are used by CompanyInfo.

package DEX ;

import java.util.*;

public interface CompanyStorage {

    public void setBasePeriod(int year, int yearpart, int frequency);
    public Period getBasePeriod(int frequency);
    public Period getMaxPeriod(int frequency);

    public void setMinPeriod(Period p);
    public void setMaxPeriod(Period p);

    public String set(String value, String attr);
    public String set(String value, String attr, String year);
    public String set(String value, String attr, String year, String yearpart);
    public String set(String value, String attr, int year, int yearpart, int frequency);
    public String set(String[][] items);

    public String get(String attr);
    public String get(String attr, String year);
    public String get(String attr, String year, String yearpart);
    public String get(String attr, int year, int yearpart, int frequency);
    public String get(String attr, Period per);

    public Vector getKeys(String attr);

    public void dump(String attr);
    public void dump();

    public void writeSSGfile(String fname);;
    public void loadSSGfile(String fname);
}
