//***************************************************************************
// DEX - The Company Data Examiner
//***************************************************************************
// Copyright (C) 1999	Bruce Israel <israel@his.com>
//
// This program is free software; you can redistribute it and/or modify it
// under the terms of the GNU General Public License as published by the
// Free Software Foundation.
//
// This software is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
// General Public License for more details.
//
//***************************************************************************


// Class Debug - Static class for doing debugging output

package DEX ;

import java.util.*;

public class Debug   {

    // boolean to allow on/off capabilities
    static boolean debugging = false;

    static void debug(String str) {
	if (debugging) {
	    System.out.println(str);
	}}

    public static void toggle() {
	if (debugging) { off(); } else { on(); }
    }

    public static void on() {
	System.out.println("Debugging on");
	debugging = true;
    }

    public static void off() {
	System.out.println("Debugging off");
	debugging = false;
    }

    public static void dumpHashtable(Hashtable ht, String hdr) {
	if (hdr != null) {
	    System.out.println(hdr);
	}
	int i = 0;
	Enumeration e = ht.keys();
	while (e.hasMoreElements()) {
	    Object key = e.nextElement();
	    Object val = ht.get(key);
	    System.out.println(i++ + ": '" + key + "' = '" + val + "'.");
	}
    }
}
